FEUPDATEENV(3)

NAME
feupdateenv - update current floating-point environment

SYNOPSIS

#include <fenv.h>

int feupdateenv(const fenv_t *envp);

DESCRIPTION

This method attempts to save the currently raised floating point exceptions in its automatic storage, install the floating point environment specified by envp, and raise the saved floating point exceptions.

The argument envp must point to a floating-point environment obtained via fegetenv or feholdexcept.

RETURNS

If all actions are completed successfully, then this method returns zero. Otherwise, a non-zero value is returned.

PORTABILITY

ANSI C requires feupdateenv.

Not all Newlib targets have a working implementation. Refer to the file sys/fenv.h to see the status for your target.